
INSERT INTO X4PERM.X4P_MODULE(NAME) VALUES ('Custom Placeholders');
COMMIT;

INSERT INTO X4PERM.x4p_perm_template(object_type, action, description, module, name) values (
	'group', 'read', 'Parameter has to be the name of a group or * for any group', (select id from X4PERM.x4p_module where name = 'Custom Placeholders'), 'Custom Placeholders Read Data'
);
INSERT INTO X4PERM.x4p_perm_template(object_type, action, description, module, name) values (
	'group', 'write', 'Parameter has to be the name of a group or * for any group', (select id from X4PERM.x4p_module where name = 'Custom Placeholders'), 'Custom Placeholders Write Data'
);

COMMIT;

INSERT INTO X4PERM.X4P_PERM(MODULE, OBJECT_TYPE, ACTION, DESCRIPTION, NAME, PARAMETER) VALUES (
	(SELECT id FROM X4PERM.X4P_MODULE WHERE NAME='Custom Placeholders'),'group','read','May read data', 'X4 Custom Placeholders Read Data', '*');
INSERT INTO X4PERM.X4P_PERM(MODULE, OBJECT_TYPE, ACTION, DESCRIPTION, NAME, PARAMETER) VALUES (
	(SELECT id FROM X4PERM.X4P_MODULE WHERE NAME='Custom Placeholders'),'group','write','May write data', 'X4 Custom Placeholders Write Data', '*');
	

INSERT INTO X4PERM.X4P_ROLE(NAME, DISPLAY_NAME, DESCRIPTION, CREATED, LASTMODIFIED, MODULE) VALUES (
	'X4 Custom Placeholders read', 'X4 Custom Placeholders read', 'Role for listing all custom placeholders',
	 CURRENT_TIMESTAMP, 
	 CURRENT_TIMESTAMP,
	 (SELECT id FROM X4PERM.X4P_MODULE WHERE NAME='Custom Placeholders'));	 

INSERT INTO X4PERM.X4P_ROLE(NAME, DISPLAY_NAME, DESCRIPTION, CREATED, LASTMODIFIED, MODULE) VALUES (
	'X4 Custom Placeholders write', 'X4 Custom Placeholders write', 'Role for editing all custom placeholders',
	 CURRENT_TIMESTAMP, 
	 CURRENT_TIMESTAMP,
	 (SELECT id FROM X4PERM.X4P_MODULE WHERE NAME='Custom Placeholders'));	 

INSERT INTO X4PERM.X4P_ROLE_PERM(ROLE_id, PERMISSION_id) VALUES (          
	(SELECT id FROM X4PERM.X4P_ROLE WHERE NAME='X4 Custom Placeholders read')
	,(SELECT id FROM X4PERM.X4P_PERM WHERE MODULE=(SELECT id FROM X4PERM.X4P_MODULE WHERE NAME='Custom Placeholders') 
		AND NAME='X4 Custom Placeholders Read Data'));

INSERT INTO X4PERM.X4P_ROLE_PERM(ROLE_id, PERMISSION_id) VALUES (          
	(SELECT id FROM X4PERM.X4P_ROLE WHERE NAME='X4 Custom Placeholders write')
	,(SELECT id FROM X4PERM.X4P_PERM WHERE MODULE=(SELECT id FROM X4PERM.X4P_MODULE WHERE NAME='Custom Placeholders') 
		AND NAME='X4 Custom Placeholders Write Data'));


INSERT INTO X4PERM.X4P_GROUP_ROLE( group_id, role_id) VALUES (            
	    (SELECT ID FROM X4PERM.X4P_GROUP WHERE X4P_GROUP.NAME='Administrators')
	    ,(SELECT ID FROM X4PERM.X4P_ROLE WHERE NAME='X4 Custom Placeholders read'));

INSERT INTO X4PERM.X4P_GROUP_ROLE( group_id, role_id) VALUES (            
	    (SELECT ID FROM X4PERM.X4P_GROUP WHERE X4P_GROUP.NAME='Administrators')
	    ,(SELECT ID FROM X4PERM.X4P_ROLE WHERE NAME='X4 Custom Placeholders write'));
	    
COMMIT;	    

