#include "include/type.include"
#include "include/constraint.include"
#include "include/schema.include"

#ifndef MSSQL
	#define GO 
#endif

ALTER TABLE X4_SCHEMA.X4_FEATURES ADD NEW_VALUE_STRING X4_TYPE_TEXT_NULLABLE;
GO
UPDATE X4_SCHEMA.X4_FEATURES SET NEW_VALUE_STRING = VALUE_STRING;
ALTER TABLE X4_SCHEMA.X4_FEATURES DROP COLUMN VALUE_STRING;
GO
#ifdef MSSQL
	#define QUOTE '
	DECLARE @OBJECT_TO_BE_RENAMED AS NVARCHAR(MAX) = REPLACE(QUOTE X4_SCHEMA.X4_FEATURES.NEW_VALUE_STRING QUOTE, ' ', '');
	EXEC sp_RENAME @OBJECT_TO_BE_RENAMED, 'VALUE_STRING', 'COLUMN';
#else
	ALTER TABLE X4_SCHEMA.X4_FEATURES RENAME COLUMN NEW_VALUE_STRING TO VALUE_STRING;
#endif