<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output media-type="text/xml" method="xml"></xsl:output>
	<xsl:template match="CustomPlaceholders" />
	<xsl:template match="Action[@type='Placeholder']/Module">
		<xsl:copy>dummy</xsl:copy>
	</xsl:template>
	<xsl:template match="*/text()[normalize-space()]">
		<xsl:value-of select="normalize-space()" />
	</xsl:template>
	<xsl:template match="*/text()[not(normalize-space())]" />	
	<xsl:template match="*">
        <xsl:copy>
            <xsl:apply-templates select="@*" />
            <xsl:apply-templates select="node()" />
        </xsl:copy>
    </xsl:template>
    <xsl:template match="@*">
        <xsl:copy-of select="." />
    </xsl:template>
    <xsl:template match="text()|processing-instruction()|comment()">
        <xsl:copy-of select="." />
    </xsl:template>
</xsl:stylesheet>