<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:uuid="java:java.util.UUID" exclude-result-prefixes="uuid">
	<xsl:output indent="yes" media-type="text/xml" method="xml"/>
	<xsl:template match="/Workflow/Case">
    	<xsl:copy>
    		<xsl:attribute name="id"><xsl:value-of select="uuid:randomUUID()"/></xsl:attribute>
      		<xsl:apply-templates select="@*"/>
      		<xsl:apply-templates select="child::node()|text()"/>
    	</xsl:copy>
  	</xsl:template>
  	<xsl:template match="*">
    	<xsl:copy>
      		<xsl:apply-templates select="@*"/>
      		<xsl:apply-templates select="child::node()|text()"/>
    	</xsl:copy>
  	</xsl:template>
  	<xsl:template match="@*">
    	<xsl:copy-of select="."/>
  	</xsl:template>
  	<xsl:template match="text()">
    	<xsl:copy-of select="."/>
  	</xsl:template>
</xsl:stylesheet>
<!--Created by X4 Designer, Copyright © SoftProject GmbH. All rights reserved.-->