<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output media-type="text/xml" method="xml"></xsl:output>

  <xsl:template match="Action[starts-with(@SVGid, 'Element089')]/Parameters/Parameter[name='eventtype']/value[.='bpmevent_timer_intermediate']">
  	 <value/>
  </xsl:template>

  <xsl:template match="*">
    <xsl:copy>
      <xsl:apply-templates select="@*"></xsl:apply-templates>
      <xsl:apply-templates select="node()"></xsl:apply-templates>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="@*">
    <xsl:copy-of select="."></xsl:copy-of>
  </xsl:template>

  <xsl:template match="text()|processing-instruction()|comment()">
    <xsl:copy-of select="."></xsl:copy-of>
  </xsl:template>

</xsl:stylesheet>