<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
  xmlns:webapp="http://softproject.de/webapp/1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output media-type="text/xml" method="xml"/>
  <xsl:template match="*">
    <xsl:copy>
      <xsl:apply-templates select="@*"/>
      <xsl:apply-templates select="node()"/>
    </xsl:copy>
  </xsl:template>
  <xsl:template match="webapp:Contains/@* | 
  		webapp:Email/@* |
  		webapp:EndsWith/@* |
  		webapp:Max/@* |
  		webapp:MaxLength/@* |
  		webapp:Min/@* |
  		webapp:MinLength/@* |
  		webapp:Regex/@* |
  		webapp:Required/@* |
  		webapp:StartsWith/@* |
  		webapp:Value/@* |
  		webapp:Option/@displayName |
  		webapp:DownloadAction/@fileName |
  		webapp:DownloadAction/@fileId |
  		webapp:Label/@value | 
  		webapp:Header/@value | 
  		webapp:TextBox/@value | 
  		@*[string-length(.) != 0]">
    <xsl:copy-of select="." />
  </xsl:template>
  <xsl:template match="text()|processing-instruction()|comment()">
    <xsl:copy-of select="." />
  </xsl:template>
</xsl:stylesheet>
