<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0"
	xmlns:webapp="http://softproject.de/webapp/1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output media-type="text/xml" method="xml" />
	<xsl:template match="*">
		<xsl:copy>
			<xsl:apply-templates select="@*" />
			<xsl:apply-templates select="node()" />
		</xsl:copy>
	</xsl:template>
	<xsl:template match="@*" mode="#all">
		<xsl:copy-of select="." />
	</xsl:template>
	<xsl:template
		match="text()|processing-instruction()|comment()">
		<xsl:copy-of select="." />
	</xsl:template>
	<!-- Remove now forbidden components tag -->
	<xsl:template
		match="webapp:Master//webapp:ListComponent/webapp:Components" />
	<xsl:template
		match="webapp:Master//webapp:DetailComponent/webapp:Components" />
	<xsl:template
		match="webapp:Master//webapp:CalendarComponent/webapp:Components" />
	<xsl:template
		match="webapp:Detail//webapp:ListComponent/webapp:Components" />
	<xsl:template
		match="webapp:Detail//webapp:DetailComponent/webapp:Components" />
	<xsl:template
		match="webapp:Detail//webapp:CalendarComponent/webapp:Components" />
	<xsl:template
		match="webapp:Overlay//webapp:ListComponent/webapp:Components" />
	<xsl:template
		match="webapp:Overlay//webapp:DetailComponent/webapp:Components" />
	<xsl:template
		match="webapp:Overlay//webapp:CalendarComponent/webapp:Components" />
</xsl:stylesheet>
<!--Created by X4 Designer, Copyright © SoftProject GmbH. All rights reserved. -->