use [X4];

alter table X4PERM.x4p_user drop constraint x4p_user_unq_login_name;
alter table X4PERM.x4p_user drop constraint x4p_user_chk_deleted;

alter table X4PERM.x4p_user add email nvarchar(255) null;

alter table X4PERM.x4p_user add constraint x4p_user_unq_login_name unique (login_name, deleted);
GO

update u set u.email = u.login_name from X4PERM.x4p_user u where u.login_name like '%@%';

update g set g.name = cast(newid() as nvarchar(255)) from X4PERM.x4p_group g where g.private = 1;
update g set g.display_name = g.name from X4PERM.x4p_group g where g.private = 1;
GO