<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<xsl:stylesheet exclude-result-prefixes="nativeadapter" version="2.0" xmlns:nativeadapter="http://softproject.de/nativeadapter/1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output media-type="text/xml" method="xml" />
	<xsl:param name="projectId" />
	<xsl:template match="*">
		<xsl:copy>
			<xsl:apply-templates select="@*" />
			<xsl:apply-templates select="node()" />
		</xsl:copy>
	</xsl:template>
	<xsl:template match="/nativeadapter:NativeAdapter">
		<xsl:copy>
			<xsl:apply-templates select="@*" />
			<xsl:element name="UUID" namespace="http://softproject.de/nativeadapter/1.0">
				<xsl:value-of select="$projectId" />
			</xsl:element>
			<xsl:apply-templates select="node()" />
		</xsl:copy>
	</xsl:template>
	<xsl:template match="@*">
		<xsl:copy-of select="." />
	</xsl:template>
	<xsl:template match="text()|processing-instruction()|comment()">
		<xsl:copy-of select="." />
	</xsl:template>
</xsl:stylesheet>