<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:webapp="http://softproject.de/webapp/1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:output media-type="text/xml" method="xml"></xsl:output>
	<xsl:template match="*">
		<xsl:copy>
			<xsl:apply-templates select="@*"></xsl:apply-templates>
			<xsl:apply-templates select="node()"></xsl:apply-templates>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="@*" mode="#all">
		<xsl:copy-of select="."></xsl:copy-of>
	</xsl:template>
	<xsl:template match="text()|processing-instruction()|comment()">
		<xsl:copy-of select="."></xsl:copy-of>
	</xsl:template>
	<!-- Remove output mode as there is no option but xml now -->
	<xsl:template match="//webapp:Filtering">
			<xsl:copy>
				<xsl:for-each select="./@*">
					<xsl:if test="not(name() = 'outputMode')">
						<xsl:copy-of select="."></xsl:copy-of>
					</xsl:if>
				</xsl:for-each>
			</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
<!--Created by X4 Designer, Copyright © SoftProject GmbH. All rights reserved. -->