<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output media-type="text/xml" method="xml"/>
  <xsl:template match="*">
    <xsl:copy>
      <xsl:apply-templates select="@*"/>
      <xsl:apply-templates select="node()"/>
    </xsl:copy>
  </xsl:template>
  <xsl:template match="@name | @code | @iXname | @value | @default_value">
    <xsl:choose>
      <xsl:when test=". = 'de.softproject.x4.server.bmn.casemanagement.adapter.CaseManagementAdapter'">
        <xsl:attribute name="{local-name()}">
          <xsl:text>de.softproject.x4.server.bpm.casemanagement.adapter.CaseManagementAdapter</xsl:text>
        </xsl:attribute>
      </xsl:when>
      <xsl:otherwise>
        <xsl:copy-of select="."/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  <xsl:template match="@*">
    <xsl:copy-of select="."/>
  </xsl:template>
  <xsl:template match="text()|processing-instruction()|comment()">
    <xsl:copy-of select="."/>
  </xsl:template>
</xsl:stylesheet>
<!--Created by X4 Designer, Copyright © SoftProject GmbH. All rights reserved.-->