<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output media-type="text/xml" method="xml"/>
  <xsl:template match="*">
    <xsl:copy>
      <xsl:apply-templates select="@*"/>
      <xsl:apply-templates select="node()"/>
    </xsl:copy>
  </xsl:template>
  <xsl:template match="@*">
    <xsl:copy-of select="."/>
  </xsl:template>
  <xsl:template match="text()|processing-instruction()|comment()">
    <xsl:copy-of select="."/>
  </xsl:template>
  <xsl:template match="//process[@id='X4P/X4Common/ExtensionPoints/LoadExtensionPointConfig.wrf']">
	<xsl:message>Scheduled process to load URM extension points has been removed: Extension points are now configured in X4config.xml</xsl:message>
  </xsl:template>
  <xsl:template match="//process[@id='X4P/X4PBase/LoadConfig/LoadX4PConfig.wrf']">
	<xsl:message>Scheduled process to load X4PConfig has been removed: X4PConfig is now included in X4config.xml</xsl:message>
  </xsl:template>
</xsl:stylesheet>
